<template>
  <section
    class="space-y-4 md:pb-5 md:h-full pr-5 border-r border-solid border-gray-light"
  >
    <div
      class="font-bold text-xl md:text-28px text-dark-blue pl-2 pb-1 mb-6 relative leading-none"
    >
      <svg-icon
        class="absolute left-0 bottom-0 z-0"
        style="width: 22px; height: 22px"
        name="icon-title"
      />
      <span class="relative">Gợi ý cho bạn</span>
    </div>
    <div class="space-y-4 md:space-y-5">
      <ItemList
        v-for="(item, index) in items"
        :key="'item__' + index"
        :item="item"
      />
    </div>
  </section>
</template>

<script>
export default {
  name: 'SectionRecommendation',
  components: {
    ItemList: () => import('~/components/common/ItemList')
  },
  data() {
    return {
      items: [
        {
          title: 'Galaxy Z Flip đang giảm giá gần 15 triệu ở Việt Nam',
          image: '/new-03.png',
          content:
            'Nhiều hệ thống lớn ở Việt Nam đồng loạt giảm giá mạnh mẫu smartphone màn hình gập thế hệ thứ 2 của Samsung.'
        },
        {
          title:
            'Mỹ hoặc Trung Quốc, giới công nghệ buộc phải "chọn phe" để sống',
          image: '/new-04.png',
          content:
            'Lệnh cấm giao dịch mới nhất mà ông Trump áp lên TikTok và WeChat khiến Internet thế giới dần bị chia rẽ.'
        },
        {
          title:
            'Ông chủ hãng xe Mỹ kể chuyện bị Trung Quốc đánh cắp công nghệ',
          image: '/new-05.png',
          content:
            'Những phát minh về thiết kế, công nghệ và kỹ thuật của ông đã bị liên doanh tại Trung Quốc ăn cắp.'
        },
        {
          title: 'Bill Gates đưa ra lời "tiên tri" về TikTok',
          image: '/new-06.png',
          content:
            'Bill Gates cho rằng Microsoft quyết định bước vào cuộc chơi mạng xã hội sẽ khiến hãng phải đối mặt với cấp độ kiểm duyệt nội dung mới.'
        },
        {
          title: 'Các nhà khoa học đã tạo ra vật chất sáng nhất thế giới',
          image: '/new-07.png',
          content:
            'Bước đột phá trong điều chế thuốc nhuộm huỳnh quang giúp các nhà khoa học tạo ra vật chất sáng nhất từng tồn tại.'
        },
        {
          title: 'Tạm biệt laptop Toshiba',
          image: '/new-08.png',
          content:
            'Từng là một trong những nhà sản xuất máy tính hàng đầu, Toshiba tuyên bố ngừng mảng kinh doanh laptop và bán hết cổ phần cho Sharp.'
        }
      ]
    }
  }
}
</script>
